<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language ?>" xml:lang="<?php print $language ?>">
<head>
  <title><?php print $head_title ?></title>
  <?php print $head ?>
  <?php print $styles ?>
  <script type="text/javascript"><?php /* Needed to avoid Flash of Unstyle Content in IE */ ?> </script>
	</head>

	<body>
		<div id="contentcontainer">
			<div id="shell">
				<div id="topNav">
					<a href="/" id="ubuntuhome" title="Ubuntu Homepage">
						<img src="/themes/ubuntu07/images/icon-home.png" alt="home" width="18" height="17"/>
					</a>
					<ul><?php /* this can be used to automate links, but that actually makes life more difficult
					foreach( $primary_links as $link) { ?>
						<li><?php print $link; ?></li>
						<?php } */ ?>
						<li><a href="/products/WhatIsUbuntu">Products</a><ul>
							<li><a href="/products/WhatIsUbuntu">What is Ubuntu?</a></li>
							<li><a href="/products/GetUbuntu/download">Download</a></li>
							<li><a href="/products/GetUbuntu">Get Ubuntu</a></li>
							<li><a href="/products/casestudies">Case Studies</a></li>
							<li><a href="http://www.cafepress.com/ubuntushop/">Merchandise</a></li>
							</ul></li>
						<li><a href="/support">Support</a><ul>
							<li><a href="/support/CommunitySupport">Community</a></li>
							<li><a href="https://help.ubuntu.com">Documentation</a></li>
							<li><a href="/support/paid">Commercial</a></li>
							<li><a href="/support/training">Training</a></li>
							</ul></li>
						<li><a href="/community/participate">Community</a><ul>
							<li><a href="/community/conduct">Code of Conduct</a></li>
							<li><a href="/community/participate/developerzone">Developer Zone</a></li>
							<li><a href="/community/participate">Get Involved</a></li>
							<li><a href="/community/UbuntuStory">The Ubuntu Story</a></li>
							<li><a href="/community/ReportProblem">Report a Problem</a></li>
							<li><a href="/donations">Donate</a></li>
							</ul></li>
						<li><a href="/partners">Partners</a><ul>
							<li><a href="/www.canonical.com/partners/findapartner">Find a Partner</a></li>
							<li><a href="/partners">Partner Program</a></li>
							<li><a href="/products/casestudies">Case Studies</a></li>
							</ul></li>
						<li><a href="/news">News</a><ul>
							<li><a href="/news/spotlight">Spotlight</a></li>
							<li><a href="/news/PressReleaseArchive">Press Releases</a></li>
							<li><a href="/usn">USN Security Notices</a></li>
							<li><a href="http://fridge.ubuntu.com">The Fridge</a></li>
							<li><a href="http://planet.ubuntu.com">Planet Ubuntu</a></li>
							<li><a href="/aboutus/contactus">Media Contact</a></li>
							</ul></li>
					</ul>
					<img src="/themes/ubuntu07/images/rule.png" width="740" height="1" alt="" class="rule"/>
					<div id="searchbox">
						<form id="sitesearch" action="#" method="get">
							<p>
								<label for="q" accesskey="s"><span class="mnemonic">S</span>earch</label>
								<input type="text" value="Search" name="q" id="q" />
								<button type="submit"><span>go</span></button>
							</p> 
						</form>
					</div>
					      <?php if ($logo) { ?><a href="<?php print $base_path ?>"><img id="ubuntulogo" src="<?php print $logo ?>" alt="<?php if ($site_name) print $site_name; else print "UBUNTU"; ?>" /></a><?php } ?>
					<div class="clear"><img src="/themes/ubuntu07/images/spacer.gif" width="1" height="1" alt="" /></div>
				</div>
				<!-- optional masthead -->
				<?php if ($header) { print $header; } ?>
				<!-- begin content area -->
				
				<!-- top -->
				<div id="bodyouter">
					<!-- sidebars -->
					<div id="leftsidebar">
					    <?php if ($sidebar_left) { print $sidebar_left; } ?></div>
					<div id="rightsidebar">
					    <?php if ($sidebar_right) { print $sidebar_right; } ?></div>
					
					<div id="bodyinner">
		        		<?php
						$breadcrumb = drupal_get_breadcrumb();
						$breadcrumb_count = count($breadcrumb);
						if ($breadcrumb_count) {
						?>
						<div id="breadcrumb" class="breadcrumb">
							<h3>You are here:</h3>
							
							<?php 
							for ($i = 0; $i < $breadcrumb_count; $i++) {
								print $breadcrumb[$i];
								print ' » ';
							} 
							print $title;
							?>
						</div>
						<?php } // end if ($breadcrumb_count) ?>
				        <?php print $tabs ?>
				        <?php print $help ?>
				        <?php print $messages ?>
				        <?php print $content; ?>
					</div>
		        </div>
			</div>
			<div id="footer">
				<div id="footertext">
					<img src="/themes/ubuntu07/images/rule.png" width="740" height="1" alt="" class="rule"/>
					<p>&copy; 2007 Canonical Ltd. Ubuntu and Canonical are 
					registered trademarks of Canonical Ltd. Website design by 
					Brilliant.</p>
					<ul>
						<li><a href="#">Accessibility</a></li>
						<li><a href="#">Legal</a></li>
						<li><a href="#">Careers</a></li>
						<li class="last"><a href="#">Contact Us</a></li>
					</ul>
					<div class="clear">&nbsp;</div>
				</div>
			</div>
		</div>
<?php print $closure ?>
	</body>
</html>
